View Issue Details

IDProjectCategoryView StatusLast Update
0018293LazarusOtherpublic2011-12-01 11:25
ReporterMichael Joyner (newsrx)Assigned ToVincent Snijders 
PrioritynormalSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018293: RPM Package on Sourceforge requires newer RPM than what is offered in RedHat EL 5.5 (probably other RPM variants as well)
DescriptionRPM as packaged on Sourceforge requires newer RPM than what is offered in RedHat EL 5.5 (probably other RPM variants as well)
Additional Informationwhen trying to install I get:

=====================================================
--> Running transaction check
---> Package lazarus.x86_64 0:0.9.28.2-0 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================
 Package Arch Version Repository Size
==============================================================================================================================================================================
Installing:
 lazarus x86_64 0.9.28.2-0 /lazarus-0.9.28.2-0.x86_64 216 M

Transaction Summary
==============================================================================================================================================================================
Install 1 Package(s)
Upgrade 0 Package(s)

Total size: 216 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by lazarus-0.9.28.2-0.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
[root@newsrxdb bin]#

========================================================================

After filing bug report, per above line, this RedHat's response:


https://bugzilla.redhat.com/show_bug.cgi?id=665073

seth vidal <svidal@redhat.com> changed:

          What |Removed |Added
----------------------------------------------------------------------------
            Status|NEW |CLOSED
        Resolution| |NOTABUG
       Last Closed| |2010-12-22 11:48:46

--- Comment 0000001 from seth vidal <svidal@redhat.com> 2010-12-22 11:48:46 EST ---
the package lazarus was built with a newer version of rpm than the one in
rhel5. You should ask the provider of the pkg to [re]build it with these
rpmmacros enabled

%_source_filedigest_algorithm 0
%_binary_filedigest_algorithm 0


then it will work on rhel5.

--
TagsNo tags attached.
Fixed in Revision29136,29138
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

Michael Joyner (newsrx)

2010-12-22 18:51

reporter   ~0044493

RedHat says solution is as follows:

You should ask the provider of the pkg to [re]build it with these
rpmmacros enabled

%_source_filedigest_algorithm 0
%_binary_filedigest_algorithm 0


then it will work on rhel5.

Vincent Snijders

2010-12-22 19:31

manager   ~0044494

Joost, do you think this is a good idea?

Joost van der Sluis

2011-01-03 12:44

manager   ~0044825

I've just read the mail on the ML after my vacation. And I'm a little bit confused.

Which version did Michael tried to install? The version from sourceforge? Why didn't he just install the Lazarus version which is packaged by Redhat which is especially for RH EL 5? (Using yum install lazarus)

If he did try that, it's just a RH bug, and Seth Vidal made a mistake. But the RH bug will also be assigned to me, so please make clear which version you tried to install first.

Vincent Snijders

2011-01-03 12:56

manager   ~0044827

I think he installed from sourceforge. Later he also used the source rpm from ftp://ftp.hu.freepascal.org/pub/lazarus/releases/Lazarus%20Linux%20SRC%20RPM/Lazarus%200.9.28.2/ which should be the same as the one from SourceForge.

Joost van der Sluis

2011-01-06 09:48

manager   ~0044930

Normally the solution would be to install the Lazarus-rpm included in RHEL.

But you can add these lines to the spec-file. Then it's possible to install the rpms build on recent Fedora systems with older distributions.

Issue History

Date Modified Username Field Change
2010-12-22 18:50 Michael Joyner (newsrx) New Issue
2010-12-22 18:50 Michael Joyner (newsrx) Widgetset => GTK 2
2010-12-22 18:51 Michael Joyner (newsrx) Note Added: 0044493
2010-12-22 19:31 Vincent Snijders Status new => assigned
2010-12-22 19:31 Vincent Snijders Assigned To => Joost van der Sluis
2010-12-22 19:31 Vincent Snijders Note Added: 0044494
2011-01-03 12:44 Joost van der Sluis Note Added: 0044825
2011-01-03 12:56 Vincent Snijders LazTarget => -
2011-01-03 12:56 Vincent Snijders Note Added: 0044827
2011-01-03 12:56 Vincent Snijders Status assigned => feedback
2011-01-06 09:48 Joost van der Sluis Note Added: 0044930
2011-01-06 10:46 Vincent Snijders Status feedback => assigned
2011-01-06 10:46 Vincent Snijders Assigned To Joost van der Sluis => Vincent Snijders
2011-01-20 12:59 Vincent Snijders Fixed in Revision => 29136,29138
2011-01-20 12:59 Vincent Snijders LazTarget - => 0.9.30
2011-01-20 12:59 Vincent Snijders Status assigned => resolved
2011-01-20 12:59 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2011-01-20 12:59 Vincent Snijders Resolution open => fixed
2011-01-20 12:59 Vincent Snijders Tag Attached: Mac OS X
2011-01-20 12:59 Vincent Snijders Tag Attached: merge to 0.9.30
2011-01-20 12:59 Vincent Snijders Tag Detached: Mac OS X
2011-02-01 12:16 Joost van der Sluis Tag Detached: merge to 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed